恩山无线论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
查看: 536|回复: 6

openwrt编译错误,luci相关

[复制链接]
发表于 2020-3-18 14:05 | 显示全部楼层 |阅读模式
Collected errors:
* check_data_file_clashes: Package nginx-mod-luci-ssl wants to install file /home/b/Desktop/test_openwrt/openwrt/build_dir/target-i386_pentium4_musl/root-x86/etc/nginx/conf.d/luci.locations
        But that file is already provided by package  * nginx-mod-luci
* check_data_file_clashes: Package nginx-mod-luci-ssl wants to install file /home/b/Desktop/test_openwrt/openwrt/build_dir/target-i386_pentium4_musl/root-x86/etc/uci-defaults/60_nginx-luci-support
        But that file is already provided by package  * nginx-mod-luci
* opkg_install_cmd: Cannot install package nginx-mod-luci-ssl.

在编译了一次失败了后,我取消了配置里的luci选型,然后通过:
./scripts/feeds update packages luci
./scripts/feeds install -a -p luci
添加luci
但是还是出现了这个错误。请问应该怎么修复。


我的恩山、我的无线 The best wifi forum is right here.
发表于 2020-3-18 14:22 | 显示全部楼层
又是不看提示就昂天吼叫
But that file is already provided by package  * nginx-mod-luci

点评

那么这个在哪呢  发表于 2020-3-18 14:24
我的恩山、我的无线 The best wifi forum is right here.
发表于 2020-3-18 15:38 | 显示全部楼层
把ssl去了就行了。
But that file is already provided by package  * nginx-mod-luci

点评

不知道这个选项在哪里  发表于 2020-3-18 16:41
来自安卓客户端来自安卓客户端
我的恩山、我的无线 The best wifi forum is right here.
 楼主| 发表于 2020-3-18 17:11 | 显示全部楼层
现在尝试另一个帖子里的方案:
试试mv .config .config.bak,然后重新make menuconfig。
尝试消除错误配置的影响
我的恩山、我的无线 The best wifi forum is right here.
 楼主| 发表于 2020-3-23 13:29 | 显示全部楼层
全部取消luci,编译通过。核心:故障残留,如果清除无效就清空全部数据再编译
我的恩山、我的无线 The best wifi forum is right here.
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|Archiver|恩山无线论坛(常州市恩山计算机开发有限公司版权所有) ( 苏ICP备05084872号 )|网站地图

GMT+8, 2021-1-17 17:17

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表